Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.adata
Interface DataPackage.Literals

Enclosing interface:
  DataPackage

    public static interface DataPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `CATALOG` The meta object literal for the '`Catalog`' class.
`static org.eclipse.emf.ecore.EReference` | `CATALOG__RUNS` The meta object literal for the 'Runs' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `DATA_POINT` The meta object literal for the '`Point`' class.
`static org.eclipse.emf.ecore.EReference` | `DATA_POINT__MEASUREMENT` The meta object literal for the 'Measurement' container reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `DATA_POINT__PERIOD` The meta object literal for the 'Period' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `DATA_POINT__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `MEASUREMENT` The meta object literal for the '`Measurement`' class.
`static org.eclipse.emf.ecore.EReference` | `MEASUREMENT__ENTRIES` The meta object literal for the 'Entries' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `MEASUREMENT__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `MEASUREMENT__RUN` The meta object literal for the 'Run' container reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `MEASUREMENT__TYPE` The meta object literal for the 'Type' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `MEASUREMENT__VALUE` The meta object literal for the 'Value' reference feature.
`static org.eclipse.emf.ecore.EClass` | `PARAMETER` The meta object literal for the '`Parameter`' class.
`static org.eclipse.emf.ecore.EReference` | `PARAMETER__ATTRIBUTE` The meta object literal for the 'Attribute' reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `PARAMETER__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `PARAMETER__VALUE` The meta object literal for the 'Value' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `PARAMETER_SET` The meta object literal for the '`Parameter Set`' class.
`static org.eclipse.emf.ecore.EReference` | `PARAMETER_SET__MEMBERS` The meta object literal for the 'Members' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `RUN` The meta object literal for the '`Run`' class.
`static org.eclipse.emf.ecore.EAttribute` | `RUN__FINISHED` The meta object literal for the 'Finished' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `RUN__MEASUREMENTS` The meta object literal for the 'Measurements' containment reference list feature.
`static org.eclipse.emf.ecore.EReference` | `RUN__MODEL` The meta object literal for the 'Model' reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `RUN__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `RUN__PARAMETER_SETS` The meta object literal for the 'Parameter Sets' containment reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `RUN__STARTED` The meta object literal for the 'Started' attribute feature.
`static org.eclipse.emf.ecore.EEnum` | `SCALE_TYPE` The meta object literal for the '`Scale Type`' enum.

Field Detail

### RUN

    static final org.eclipse.emf.ecore.EClass RUN

  The meta object literal for the '`Run`' class.

  See Also:
    `RunImpl`, `DataPackageImpl.getRun()`

### RUN__MODEL

    static final org.eclipse.emf.ecore.EReference RUN__MODEL

  The meta object literal for the 'Model' reference feature.

### RUN__STARTED

    static final org.eclipse.emf.ecore.EAttribute RUN__STARTED

  The meta object literal for the 'Started' attribute feature.

### RUN__FINISHED

    static final org.eclipse.emf.ecore.EAttribute RUN__FINISHED

  The meta object literal for the 'Finished' attribute feature.

### RUN__NAME

    static final org.eclipse.emf.ecore.EAttribute RUN__NAME

  The meta object literal for the 'Name' attribute feature.

### RUN__PARAMETER_SETS

    static final org.eclipse.emf.ecore.EReference RUN__PARAMETER_SETS

  The meta object literal for the 'Parameter Sets' containment reference list feature.

### RUN__MEASUREMENTS

    static final org.eclipse.emf.ecore.EReference RUN__MEASUREMENTS

  The meta object literal for the 'Measurements' containment reference list feature.

### PARAMETER

    static final org.eclipse.emf.ecore.EClass PARAMETER

  The meta object literal for the '`Parameter`' class.

  See Also:
    `ParameterImpl`, `DataPackageImpl.getParameter()`

### PARAMETER__ATTRIBUTE

    static final org.eclipse.emf.ecore.EReference PARAMETER__ATTRIBUTE

  The meta object literal for the 'Attribute' reference feature.

### PARAMETER__NAME

    static final org.eclipse.emf.ecore.EAttribute PARAMETER__NAME

  The meta object literal for the 'Name' attribute feature.

### PARAMETER__VALUE

    static final org.eclipse.emf.ecore.EAttribute PARAMETER__VALUE

  The meta object literal for the 'Value' attribute feature.

### DATA_POINT

    static final org.eclipse.emf.ecore.EClass DATA_POINT

  The meta object literal for the '`Point`' class.

  See Also:
    `DataPointImpl`, `DataPackageImpl.getDataPoint()`

### DATA_POINT__PERIOD

    static final org.eclipse.emf.ecore.EAttribute DATA_POINT__PERIOD

  The meta object literal for the 'Period' attribute feature.

### DATA_POINT__VALUE

    static final org.eclipse.emf.ecore.EAttribute DATA_POINT__VALUE

  The meta object literal for the 'Value' attribute feature.

### DATA_POINT__MEASUREMENT

    static final org.eclipse.emf.ecore.EReference DATA_POINT__MEASUREMENT

  The meta object literal for the 'Measurement' container reference feature.

### CATALOG

    static final org.eclipse.emf.ecore.EClass CATALOG

  The meta object literal for the '`Catalog`' class.

  See Also:
    `CatalogImpl`, `DataPackageImpl.getCatalog()`

### CATALOG__RUNS

    static final org.eclipse.emf.ecore.EReference CATALOG__RUNS

  The meta object literal for the 'Runs' containment reference list feature.

### MEASUREMENT

    static final org.eclipse.emf.ecore.EClass MEASUREMENT

  The meta object literal for the '`Measurement`' class.

  See Also:
    `MeasurementImpl`, `DataPackageImpl.getMeasurement()`

### MEASUREMENT__TYPE

    static final org.eclipse.emf.ecore.EAttribute MEASUREMENT__TYPE

  The meta object literal for the 'Type' attribute feature.

### MEASUREMENT__VALUE

    static final org.eclipse.emf.ecore.EReference MEASUREMENT__VALUE

  The meta object literal for the 'Value' reference feature.

### MEASUREMENT__NAME

    static final org.eclipse.emf.ecore.EAttribute MEASUREMENT__NAME

  The meta object literal for the 'Name' attribute feature.

### MEASUREMENT__ENTRIES

    static final org.eclipse.emf.ecore.EReference MEASUREMENT__ENTRIES

  The meta object literal for the 'Entries' containment reference list feature.

### MEASUREMENT__RUN

    static final org.eclipse.emf.ecore.EReference MEASUREMENT__RUN

  The meta object literal for the 'Run' container reference feature.

### PARAMETER_SET

    static final org.eclipse.emf.ecore.EClass PARAMETER_SET

  The meta object literal for the '`Parameter Set`' class.

  See Also:
    `ParameterSetImpl`, `DataPackageImpl.getParameterSet()`

### PARAMETER_SET__MEMBERS

    static final org.eclipse.emf.ecore.EReference PARAMETER_SET__MEMBERS

  The meta object literal for the 'Members' containment reference list feature.

### SCALE_TYPE

    static final org.eclipse.emf.ecore.EEnum SCALE_TYPE

  The meta object literal for the '`Scale Type`' enum.

  See Also:
    `ScaleType`, `DataPackageImpl.getScaleType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD